using Castle.DynamicProxy;
using System;

namespace Edu.AOP.CustomerAttribute
{
    /// <summary>
    /// 日志属性
    /// </summary>
    public class LogAttribute : BaseInterceptorAttribute
    {
        public override Action Do(IInvocation invocation, Action action)
        {
            return () =>
            {
                Console.WriteLine("LogAttribute1");
                action.Invoke();
                Console.WriteLine("LogAttribute2");
            };
        }
    }
}
